package com.ruoyi.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.business.domain.req.ClazzQueryReq;
import com.ruoyi.business.domain.req.ClazzSaveReq;
import com.ruoyi.business.domain.req.ClazzEditReq;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 班级对象 t_clazz
 *
 * @author muyu
 * @date 2024-04-22
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("t_clazz")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Clazz", description = "班级")
public class Clazz extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 班级ID */
    @TableId(value = "clazz_id",type = IdType.AUTO)
    @ApiModelProperty(name = "班级ID", value = "班级ID")
    private Long clazzId;

    /** 班级名称 */
    @Excel(name = "班级名称")
    @ApiModelProperty(name = "班级名称", value = "班级名称")
    private String clazzName;

    /** 状态 */
    @Excel(name = "状态")
    @ApiModelProperty(name = "状态", value = "状态")
    private String status;

    /**
    * 查询构造器
    */
    public static Clazz queryBuild( ClazzQueryReq clazzQueryReq){
        return Clazz.builder()
                .clazzId(clazzQueryReq.getClazzId())
                .clazzName(clazzQueryReq.getClazzName())
                .status(clazzQueryReq.getStatus())
                .build();
    }

    /**
    * 添加构造器
    */
    public static Clazz saveBuild(ClazzSaveReq clazzSaveReq){
        return Clazz.builder()
                .clazzName(clazzSaveReq.getClazzName())
                .status(clazzSaveReq.getStatus())
                .build();
    }

    /**
    * 修改构造器
    */
    public static Clazz editBuild(Long clazzId, ClazzEditReq clazzEditReq){
        return Clazz.builder()
                .clazzId(clazzId)
                .clazzName(clazzEditReq.getClazzName())
                .status(clazzEditReq.getStatus())
                .build();
    }

}
