package com.ruoyi.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.*;
import com.baomidou.mybatisplus.extension.service.impl.*;
import com.ruoyi.business.domain.*;
import com.ruoyi.business.mapper.*;
import com.ruoyi.business.service.*;
import com.ruoyi.common.utils.*;
import lombok.extern.slf4j.*;
import org.springframework.stereotype.*;

import java.util.*;

/**
 * 班级Service业务层处理
 *
 * @author muyu
 * @date 2024-04-22
 */
@Slf4j
@Service
public class ClazzServiceImpl extends ServiceImpl<ClazzMapper, Clazz> implements ClazzService {

    /**
     * 查询班级列表
     *
     * @param clazz 班级
     * @return 班级
     */
    @Override
    public List<Clazz> list(Clazz clazz) {
        LambdaQueryWrapper<Clazz> queryWrapper = new LambdaQueryWrapper<>();

        if (ObjUtils.notNull(clazz.getClazzId())) {
            queryWrapper.eq(Clazz::getClazzId, clazz.getClazzId());
        }

        if (ObjUtils.notNull(clazz.getClazzName())) {
            queryWrapper.like(Clazz::getClazzName, clazz.getClazzName());
        }

        if (ObjUtils.notNull(clazz.getStatus())) {
            queryWrapper.eq(Clazz::getStatus, clazz.getStatus());
        }

        return list(queryWrapper);
    }
}
